# DataExchange
TKSTEPBase
StepShape

# StepShape_PolyLoop Class Reference

`#include <StepShape_PolyLoop.hxx>`

Inheritance diagram for StepShape_PolyLoop:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_PolyLoop ()
| Returns a PolyLoop .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_HArray1OfCartesianPoint)&aPolygon)
Standard_EXPORT void | SetPolygon (const Handle(StepGeom_HArray1OfCartesianPoint)&aPolygon)
Standard_EXPORT Handle_StepGeom_HArray1OfCartesianPoint | Polygon () const
Standard_EXPORT Handle_StepGeom_CartesianPoint | PolygonValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbPolygon () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_HArray1OfCartesianPoint | polygon

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_PolyLoop::StepShape_PolyLoop | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_PolyLoop::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_Loop.

virtual Standard_EXPORT void StepShape_PolyLoop::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_HArray1OfCartesianPoint)& | aPolygon
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_PolyLoop::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Standard_Integer StepShape_PolyLoop::NbPolygon | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_HArray1OfCartesianPoint StepShape_PolyLoop::Polygon | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_CartesianPoint StepShape_PolyLoop::PolygonValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT void StepShape_PolyLoop::SetPolygon | ( | const Handle(StepGeom_HArray1OfCartesianPoint)& | aPolygon | ) |

## Field Documentation

Handle_StepGeom_HArray1OfCartesianPoint StepShape_PolyLoop::polygon `[private]`

The documentation for this class was generated from the following file:

- StepShape_PolyLoop.hxx